Subject: Re: next-20150806 build: 2 failures 52 warnings (next-20150806)

From: Mark Brown <[email-masked]>
Date: Fri, 7 Aug 2015 10:49:57 +0100

On Fri, Aug 07, 2015 at 07:39:54AM +1000, Stephen Rothwell wrote:
> On Thu, 6 Aug 2015 18:53:22 +0100 Mark Brown <[email-masked]> wrote:

> > msi_desc_to_pci_sys_data doesn't appear to exist anywhere else in
> > current -next, the usage was introduced by e39758e0ea769e632e (PCI: Use
> > helper functions to access fields in struct msi_desc) at which time it
> > looks like it did exist but I can't immediately see where it was removed.

> Actually, it is a typo ... all other uses are spelt msi_desc_to_pci_sysdata.

Oh, that explains why it was so difficult to see where it was broken.
All the spinlock breakage for the past week masked other things so it
looked like it'd been added then later broken :/